Package com.collibra.dgc.core.api.dto.meta.assettype

# Class FindAssetTypesRequest.Builder

Object
Builder

Enclosing class:
  `FindAssetTypesRequest`

public static final class FindAssetTypesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindAssetTypesRequest`
  `build()`
  `FindAssetTypesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindAssetTypesRequest.Builder`
  `countLimit(int countLimit)`
  `FindAssetTypesRequest.Builder`
  `displayNameEnabled(Boolean displayNameEnabled)`
  `FindAssetTypesRequest.Builder`
  `excludeFinal(Boolean excludeFinal)`
  `FindAssetTypesRequest.Builder`
  `excludeMeta(Boolean excludeMeta)`
  `FindAssetTypesRequest.Builder`
  `excludeUnlicensedProducts(Boolean excludeUnlicensedProducts)`
  `FindAssetTypesRequest.Builder`
  `limit(int limit)`
  `FindAssetTypesRequest.Builder`
  `name(String name)`
  `FindAssetTypesRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindAssetTypesRequest.Builder`
  `offset(int offset)`
  `FindAssetTypesRequest.Builder`
  `parentId(UUID parentId)`
  `FindAssetTypesRequest.Builder`
  `topLevel(Boolean topLevel)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindAssetTypesRequest.Builder offset(int offset)

  - ### limit

    public FindAssetTypesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindAssetTypesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindAssetTypesRequest.builder()`.
    Clone method for this Builder.

  - ### countLimit

    public FindAssetTypesRequest.Builder countLimit(int countLimit)
    Returns:
      `this`.

  - ### name

    public FindAssetTypesRequest.Builder name(String name)
    Returns:
      `this`.

  - ### nameMatchMode

    public FindAssetTypesRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Returns:
      `this`.

  - ### parentId

    public FindAssetTypesRequest.Builder parentId(UUID parentId)
    Returns:
      `this`.

  - ### excludeMeta

    public FindAssetTypesRequest.Builder excludeMeta(Boolean excludeMeta)
    Returns:
      `this`.

  - ### excludeFinal

    public FindAssetTypesRequest.Builder excludeFinal(Boolean excludeFinal)
    Returns:
      `this`.

  - ### excludeUnlicensedProducts

    public FindAssetTypesRequest.Builder excludeUnlicensedProducts(Boolean excludeUnlicensedProducts)
    Returns:
      `this`.

  - ### topLevel

    public FindAssetTypesRequest.Builder topLevel(Boolean topLevel)
    Returns:
      `this`.

  - ### displayNameEnabled

    public FindAssetTypesRequest.Builder displayNameEnabled(Boolean displayNameEnabled)
    Returns:
      `this`.

  - ### build

    public FindAssetTypesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`